scsi_execute_async
Prev | drivers/scsi/scsi_lib.c | Next

## Name

scsi_execute_async — insert request

## Synopsis

`int scsi_execute_async (` | struct scsi_device * | sdev,
| const unsigned char * | cmd,
| int | cmd_len,
| int | data_direction,
| void * | buffer,
| unsigned | bufflen,
| int | use_sg,
| int | timeout,
| int | retries,
| void * | privdata,
| void (* | done`(`void *, char *, int, int`)`,
| gfp_t | gfp`)`;

## Arguments

`sdev`

  scsi device

`cmd`

  scsi command

`cmd_len`

  length of scsi cdb

`data_direction`

  DMA_TO_DEVICE, DMA_FROM_DEVICE, or DMA_NONE

`buffer`

  data buffer (this can be a kernel buffer or scatterlist)

`bufflen`

  len of buffer

`use_sg`

  if buffer is a scatterlist this is the number of elements

`timeout`

  request timeout in seconds

`retries`

  number of times to retry request

`privdata`

  data passed to `done`

`done`

  callback function when done

`gfp`

  memory allocation flags

Prev | Up | Next
scsi_execute | Home | scsi_mode_select